PHP 5.05 breaks SquirrelMail 1.4.5, another solution

Use this forum if you have problems with a hMailServer script, such as hMailServer WebAdmin or code in an event handler.
Post Reply
granada
Normal user
Normal user
Posts: 33
Joined: 2005-09-15 19:19

PHP 5.05 breaks SquirrelMail 1.4.5, another solution

Post by granada » 2005-10-22 01:53

Found a patch solution to the Squirrelmail 1.4.5 problem with PHP 5.05 and 5.1 (Fatal error: Only variables can be passed by reference). Basically the same as Mattys solution http://www.hmailserver.com/forum/viewtopic.php?t=2667 but applies to more files.

Download patch (squirrelmail-stable.diff):
http://sourceforge.net/tracker/index.ph ... tid=423679

If neccesary install patch program for Windows:
http://gnuwin32.sourceforge.net/packages/patch.htm

Copy the patch to hms_squirrelmail directory, open a command prompt, go to the hms_squirrelmail directory and type:
patch --binary -p1 <squirrelmail-stable.diff.txt

Post Reply